Description

Since two days, suddenly the order of the issues updates are broken. instead of adding a update at the end of a issue, it startet from
the beginning. Further updates are added below this first wrong update.

That means the really order of updates of a issue ist like

Topic-Header
Update 4
Update 5
Update 1
Update 2
Update 3

this can only be archieved by checking the time stamp of the updates. The running number on the right side of the Updates looks like
it would be right, but that isn't.

Order of running numbers for the example:
#1

GRBR
o1 > 1IN

On the System are more the 2200 Topics and about 40 Users are communication with there customers over the system. | have
disabled the system now, but the people need the bugtracker urgently and i cannot stop the production a longer time.

System:
ubuntu jeos 8.04 und BitNami Redmine Stack 0.8.2-0 running in a VMWare Server VM.

- Redmine 0.8.2
— Apache 2.2.11
- ImageMagick 6.4.7
- MySQL 5.1.30
— Subversion 1.4.6
- Ruby 1.8.6
- Rails 2.1.1
— RubyGems 1.2.0

History

#1 - 2013-04-12 14:26 - Chris Volkert

Next problem found. There are a lot of issues shown updated in May 2013. But they have been created in April 2013 of course they could not been
updated in May 2013, because we are actual in April 2013.

#2 - 2013-04-12 14:32 - Filou Centrinov

Please upgrade your Redmine system.

#3 - 2013-04-12 14:35 - Chris Volkert

Thats also not so easy as said. | have allready tried this. Created a brand new VM with the actual Redmine, backed up my old database and treid to
import it. But that didnt worked, as i think because the old database has unsalted hashes, while the new database expected salted hashes. At the
moment i dont have a solution for that, seems that those two database versions are incompatible.
https://www.redmine.org/issues/1
https://www.redmine.org/issues/2
https://www.redmine.org/issues/3
https://www.redmine.org/issues/4
https://www.redmine.org/issues/5

#4 - 2013-04-12 15:02 - Chris Volkert

For me the problem now looks like that there was (and is not any more) a system time problem. It looks like that for a unknown reason the system
time was one month in future. With this wrong system time there had been issues created and updated. They all display in the right order. Then,
yesterday, the system suddenly changed back one month to the real time. If now a issue is updated, the updates seem to be older then the updates
that had been created before and therefore are displayed at the beginning f the sorting.

OK, that explains the behaviour of the redmine system. But why did the system time changed, or could it be not the system time instead something
else?

#5 - 2013-04-12 15:20 - Filou Centrinov

Read RedmineUpgrade and also Upgrade from older Version. The second link provide also some informations for versions before 0.8.7.

#6 - 2013-04-12 16:28 - Chris Volkert

| checked the logs of the Jeos system. All logs begann with 5 Mai 2013 till the 10 may 2013. At 2:00 there is a restart from cron, after that the logs
continue with the 10 April 2013.

Crazy, what has deleted all logs? And why does the date suddenly changed back that month on the 10 April?
| begann thinking of a attacker that deleted all logs till 5 April (5 Mai in logs) to hide his attack.
Well, however, it doesnt seem to me like a Redmine problem any more and i therefore close the ticket now.

#7 - 2013-04-12 16:28 - Chris Volkert

- Status changed from New to Resolved

#8 - 2013-04-12 16:42 - Etienne Massip
- Status changed from Resolved to Closed

- Resolution set to Invalid
https://www.redmine.org/projects/redmine/wiki/RedmineUpgrade
http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade?version=53
http://www.tcpdf.org

